BaseAlgorithmParameters (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.symmetric.util

## Class BaseAlgorithmParameters

- java.lang.Object
- - java.security.AlgorithmParametersSpi
  - - org.bouncycastle.jcajce.provider.symmetric.util.BaseAlgorithmParameters

- Direct Known Subclasses:
    AES.AlgParamsCCM, AES.AlgParamsGCM, AlgorithmParametersSpi, CAST5.AlgParams, IDEA.AlgParams, IvAlgorithmParameters, PBEPBKDF2.AlgParams, PBEPKCS12.AlgParams, RC2.AlgParams

      public abstract class BaseAlgorithmParameters
      extends java.security.AlgorithmParametersSpi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAlgorithmParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.security.spec.AlgorithmParameterSpec` | `engineGetParameterSpec(java.lang.Class paramSpec)`
    `protected boolean` | `isASN1FormatString(java.lang.String format)`
    `protected abstract java.security.spec.AlgorithmParameterSpec` | `localEngineGetParameterSpec(java.lang.Class paramSpec)`

    - ### Methods inherited from class java.security.AlgorithmParametersSpi

      `engineGetEncoded, engineGetEncoded, engineInit, engineInit, engineInit, engineToString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseAlgorithmParameters

          public BaseAlgorithmParameters()

  - ### Method Detail

    - #### isASN1FormatString

          protected boolean isASN1FormatString(java.lang.String format)

    - #### engineGetParameterSpec

          protected java.security.spec.AlgorithmParameterSpec engineGetParameterSpec(java.lang.Class paramSpec)
                                                                              throws java.security.spec.InvalidParameterSpecException

      Specified by:
        `engineGetParameterSpec` in class `java.security.AlgorithmParametersSpi`
      Throws:
        `java.security.spec.InvalidParameterSpecException`

    - #### localEngineGetParameterSpec

          protected abstract java.security.spec.AlgorithmParameterSpec localEngineGetParameterSpec(java.lang.Class paramSpec)
                                                                                            throws java.security.spec.InvalidParameterSpecException

      Throws:
        `java.security.spec.InvalidParameterSpecException`